# -------------------------------------------------------------------------------------------------------------------- #

# Copyright © 2021-2023 Peter Mathiasson
# SPDX-License-Identifier: ISC

# -------------------------------------------------------------------------------------------------------------------- #

from itertools import chain

import rs

# -------------------------------------------------------------------------------------------------------------------- #

def get_parameters(**_) -> dict[str, str]:

    return {
        'celery': 'celery -A core.celery.celery_app',
        'queues': rs.getenv('RS_WORKER_QUEUES') or
                ','.join(chain.from_iterable(x.get_attr('celery_queues', []) for x in rs.list_units())),
    }

# -------------------------------------------------------------------------------------------------------------------- #
