# -------------------------------------------------------------------------------------------------------------------- #

# Copyright © 2021-2023 Peter Mathiasson
# SPDX-License-Identifier: ISC

# -------------------------------------------------------------------------------------------------------------------- #

from . import cli
from .. import list_units
from .. import init as rs_init

# -------------------------------------------------------------------------------------------------------------------- #

@cli.command(hidden=True)
def setup_apps():

    rs_init()

    for app in list_units():
        if (mod := app.import_module('setup')) is not None:
            mod.setup()

# -------------------------------------------------------------------------------------------------------------------- #
